Version File Reference
`#include <osgTerrain/Export>`

Go to the source code of this file.

## Macros

#define | OSGTERRAIN_VERSION 1

## Functions

OSGTERRAIN_EXPORT const char * | osgTerrainGetVersion ()
OSGTERRAIN_EXPORT const char * | osgTerrainGetLibraryName ()

## Macro Definition Documentation

## OSGTERRAIN_VERSION

#define OSGTERRAIN_VERSION 1

## Function Documentation

## osgTerrainGetLibraryName()

OSGTERRAIN_EXPORT const char * osgTerrainGetLibraryName | ( |  | ) |

extern

osgTerrainGetLibraryName() returns the library name in human friendly form.

References OSGTERRAIN_EXPORT.

## osgTerrainGetVersion()

OSGTERRAIN_EXPORT const char * osgTerrainGetVersion | ( |  | ) |

extern

osgTerrainGetVersion() returns the library version number. Numbering convention : OpenSceneGraph-1.0 will return 1.0 from osgTerrainGetVersion.

This C function can be also used to check for the existence of the OpenSceneGraph library using autoconf and its m4 macro AC_CHECK_LIB.

Here is the code to add to your configure.in:

    #
    # Check for the OpenSceneGraph (OSG) Terrain library
    #
    AC_CHECK_LIB(osg, osgTerrainGetVersion, ,
       [AC_MSG_ERROR(OpenSceneGraph Terrain library not found. See http://www.openscenegraph.org)],)

References OSGTERRAIN_EXPORT.